Subject: bug#47094: 27.1; emacs dies with XBM display

From: Alan Third <[email-masked]>
Date: Fri, 12 Mar 2021 22:08:10 +0000

On Fri, Mar 12, 2021 at 02:42:36PM +0200, Eli Zaretskii wrote:
> > From: [email-masked]
> > Date: Fri, 12 Mar 2021 19:19:32 +0900
> > 
> > Try to evaluate the form below, emacs dies before displaying the image.
> > 
> > (let* ((w 256)
> >        (h 256)
> >        (s (make-string (* (/ w 8) h) #x55)))
> >   (insert-image (create-image s 'xbm t :width w :height h)))
> 
> I can reproduce in Emacs 27, but not on the current master branch.  So
> I guess this has been fixed already, and I'm closing the bug.

I can reproduce on the master branch. It looks like a stack overflow
in xbm_read_bitmap_data.

I tried it in a debugger, but the backtrace looks truncated.
-- 
Alan Third